"""create table for menus
Revision ID: 4d4e6b7c8b74
Revises: 0001
Create Date: 2023-05-24 15:48:23.796289
"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '4d4e6b7c8b74'
down_revision = '0001'
branch_labels = None
depends_on = None

def upgrade():
    op.create_table(
        'menus',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('description', sa.String(), nullable=True),
        sa.Column('category', sa.String(), nullable=True),
        sa.Column('price', sa.Integer(), nullable=False),
        sa.Column('created_at', sa.DateTime(), server_default=func.now(), nullable=False),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now(), nullable=False),
        sa.Index('ix_menus_category', 'category')
    )

def downgrade():
    op.drop_table('menus')