from fastapi import APIRouter, status
from typing import List

from schemas.menu import MenuSchema
from helpers.menu_helpers import get_meals_by_menu

router = APIRouter()

@router.get("/foods", status_code=status.HTTP_200_OK, response_model=List[MenuSchema])
def get_meals(menu_id: str):
    meals = get_meals_by_menu(menu_id=menu_id)
    return meals